Subject: Re: Collecting hypervisor call stats

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 01 Jun 2006 15:26:16 +1000

On Wed, 2006-05-31 at 15:58 -0700, Mike Kravetz wrote:
> On Thu, Jun 01, 2006 at 08:40:50AM +1000, Paul Mackerras wrote:
> > I think that gathering those statistics would be useful.  I suggest
> > you use a per-cpu array for them, to reduce the performance impact.
> 
> Yes, that is a must do.
> 
> We need to get a timestamp before and after the call.  mftb should do
> the trick.  Also, I'd prefer to have the code that stuffs the values
> into the array be C.  So, the decision is to have the assembly code
> call out to the C routine -OR- create wrappers for the assembly routines.
> I much prefer C wrappers to touching the assembly.

Argh... yet another use of mftb for which I'll need a cell specific
workaround :(

Ben.